kvm_native(3)

NAME
kvm_native - is a kvm descriptor opened on a native kernel image

LIBRARY
libkvm

SYNOPSIS
#include <kvm.h>
int
kvm_native(kvm_t *kd);

DESCRIPTION
The kvm library provides an interface for accessing kernel virtual memory images for both native kernel images (where the ABI of the kernel executable matches the host system) and non-native kernel images. The kvm_native() function returns a non-zero value if the kvm descriptor kd is attached to a native kernel image; otherwise it returns zero.

RETURN VALUES
The kvm_native() function returns a non-zero value if the kvm descriptor kd is attached to a native kernel image; otherwise it returns zero.

SEE ALSO
kvm(3), kvm_open2(3)